/*-----font-----*/
@font-face {
    font-family: 'Pretendard';
    font-weight: 900;
    src: local('Pretendard Black'), url(/assets/font/Pretendard-Black.woff2) format('woff2'), url(/assets/font/Pretendard-Black.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 800;
    src: local('Pretendard ExtraBold'), url(/assets/font/Pretendard-ExtraBold.woff2) format('woff2'), url(/assets/font/Pretendard-ExtraBold.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 700;
    src: local('Pretendard Bold'), url(/assets/font/Pretendard-Bold.woff2) format('woff2'), url(/assets/font/Pretendard-Bold.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 600;
    src: local('Pretendard SemiBold'), url(/assets/font/Pretendard-SemiBold.woff2) format('woff2'), url(/assets/font/Pretendard-SemiBold.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 500;
    src: local('Pretendard Medium'), url(/assets/font/Pretendard-Medium.woff2) format('woff2'), url(/assets/font/Pretendard-Medium.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 400;
    src: local('Pretendard Regular'), url(/assets/font/Pretendard-Regular.woff2) format('woff2'), url(/assets/font/Pretendard-Regular.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 300;
    src: local('Pretendard Light'), url(/assets/font/Pretendard-Light.woff2) format('woff2'), url(/assets/font/Pretendard-Light.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 200;
    src: local('Pretendard ExtraLight'), url(/assets/font/Pretendard-ExtraLight.woff2) format('woff2'), url(/assets/font/Pretendard-ExtraLight.woff) format('woff');
}

@font-face {
    font-family: 'Pretendard';
    font-weight: 100;
    src: local('Pretendard Thin'), url(/assets/font/Pretendard-Thin.woff2) format('woff2'), url(/assets/font/Pretendard-Thin.woff) format('woff');
}
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@200;300;400;500;600&display=swap');

*{margin: 0; padding: 0; box-sizing: border-box;}
body {
    font-family: "Montserrat", 'Pretendard';
    font-style: normal;
    font-size: 18px;
    
    -webkit-text-size-adjust : none;  /* 크롬, 사파리, 오페라 신버전 */
    -ms-text-size-adjust : none;  /* IE */
    -moz-text-size-adjust : none;  /* 파이어폭스 */
    -o-text-size-adjust : none;  /* 오페라 구버전 */
    
    box-sizing: border-box;
    word-break: keep-all;
    letter-spacing: -1px;
}
p{line-height: 1.5;}
img{max-width: 100%;vertical-align: top;}


/*----- custom class -----*/
.cb:after{display: block; content: ""; clear: both;}
.primary_green{color: #9cf059}
.primary_blue{color: #38e0eb}

.center{text-align: center}
.ellipsis{overflow: hidden;white-space: nowrap;text-overflow: ellipsis;}

.checkmark {position: absolute; top: 0; left: 0; height: 20px; width: 20px; background-color: #ddd;}
.checkmark:after {content: ""; position: absolute; display: none;}
.chk{position: relative;margin: 10px 0; padding-left: 30px; font-weight: 400; cursor: pointer}
.chk:hover input ~ .checkmark {background-color: #ccc;}
.chk input:checked ~ .checkmark {background-color: #2959b6}
.chk input:checked ~ .checkmark:after {display: block;}
.chk input[disabled]{opacity: 0}
.chk .checkmark:after {left: 6px; top: 2px; width: 5px; height: 10px;border: solid white; border-width: 0 3px 3px 0; -webkit-transform: rotate(45deg); -ms-transform: rotate(45deg);transform: rotate(45deg);}
.chk.round .checkmark {border-radius: 50%;}








/*-----모바일 메뉴-----*/
/*
.m_menu_btn {
    width: 2rem;
    height:2rem;
    flex-direction: column;
    gap: 6px;
    align-items: center;
    justify-content: space-around;
    display: none;

}

.m_menu_btn span {
    display: inline-block;
    width: 100%;
    height: 2px;
    background: #000;
}
.m_menu_warp{
    width: 100%;
    position: absolute;
    left: -100%;
}
.m_menu {
    width: 100%;
    height: 900px;
    overflow-y: scroll;
    background: #fff;
    position: relative;
    
}

.m_menu_close {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 16px;
    right: 35px;
}

.m_menu_close svg {
    width: 100%;
    height: 100%;
}

.m_menu .m_main_menu {
    padding: 1rem 2rem;
}


.m_menu .m_main_menu > li {
    padding: 1rem 0;
    border-bottom: 1px solid #ebebeb;
    height: 80px;
    overflow: hidden;
    box-sizing: border-box;
}

.m_menu .m_main_menu li a {
    font-weight: 700;
    font-size: 1.3rem;
    line-height: 2.8rem;
}

.m_menu .m_main_menu > li.active {
    height: auto;
    padding-bottom: 0;
}

.m_menu .m_main_menu > li.active a {
    padding-bottom: 0.8rem;
}

.m_menu .m_main_menu > li.active .m_sub_menu {
    margin-top: 0;
}

.m_menu .m_main_menu > li:last-child {
    border: none;
}

.m_menu .m_sub_menu {
    margin-top: 1rem;
}

.m_menu .m_sub_menu li {
    border-bottom: 1px solid #ebebeb;
}

.m_menu .m_sub_menu li a {
    font-weight: 400;
    font-size: 1.15rem;
    display: block;
    padding: 10px 0;
}

.m_menu .m_sub_menu li:last-child {
    border-bottom: none;
}*/
